Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-17047

Make dependency to bundled ant plugin optional

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved (View Workflow)
    • Trivial
    • Resolution: Fixed
    • analysis-core-plugin
    • Core 1.504
      Warnings 4.23
      Analysis-Core 1.49

      Red Hat Enterprise Linux 6.2 64 bit
      Sun Java 1.6.0_20

    Description

      Make dependency from warnings to (bundled) ant plugin optional.

      We don't use Ant or Java in our Jenkins. All other bundled plugins were removed from jenkins.war (purpose: keep '/pluginManager/installed' UI list manageable, save a little disk space)

      (similar to JENKINS-14727 for maven dependency, that is now optional)

      Attachments

        Issue Links

          Activity

            People

              drulli Ulli Hafner
              bgolding Ben Golding
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: